Galileo

[KSP 1.5.*] Outer Planets Mod[2.2.1] [25 April 2018]

Recommended Posts

Uhh latest version I believe. @Raven.

1 hour ago, Pedro_Commander said:

Hello there!

  I have been trying to install the Outer Planets pack since about 3 days and I can't find a way to make it work! The mod never loads. It's like it is not even there and only the dependencies of the mod are installed. Can someone help me? Im running on KSP 1.3.1

I can upload the Logs if necessary.

Make sure you installed kopernicus XD

Edited by nsgallup

Share this post


Link to post
Share on other sites
1 hour ago, Pedro_Commander said:

I can upload the Logs if necessary.

Can you provide a screenshot of your GameDate folder.  Also, what versions do you have installed (KSP, OPM and Kopernicus).

Share this post


Link to post
Share on other sites

It seems that it is working now, I don't know why it wasn't working before, thanks everyone :kiss:.

Edit: I think that I was using the wrong kopernicus version. 

 

BTW: I cant wait to begin my new career and explore those planets!!!

Edited by Pedro_Commander

Share this post


Link to post
Share on other sites

Still not perfect yet, but it's an improvement. the older mod that I'm reviving used the color (RGB:0,204,153) for the "green" effect. But I'm wondering if we don't need a more subtle green instead of the lime green the original is using. I did however, add lightning effects for a more menacing environment as a craft is descending.

 

SvLnWJz.png

Share this post


Link to post
Share on other sites

Ok, someone give that config a try. It requires KPS 1.5, Astronomer's Pack, and OPM.

I took and updated this: https://forum.kerbalspaceprogram.com/index.php?/topic/102589-cloud-configurations-for-outer-planets-mod-last-update-20150923/ to the new stuff. Because of this, this config is a derivative work and is licensed under the same license as the original. 

Right now it's Tekto only. I will be working on the other planets coming forward. This isn't perfect and is considered an alpha. 

License: CC-BY-NC-SA

https://www.dropbox.com/s/1uuxln9bqfbuib5/Tekto.cfg?dl=0

IHI3fNa.png

Share this post


Link to post
Share on other sites

This mod failed to load for me.  I'm running KSP 1.4.3.2152.

I downloaded CustomBarnKit 1.1.17.0

Kopernicus 1.5.1-1

Outer _Planets_Mod-2.1

 

I got error messages saying do not open my savegames because they would not play well with Kopernicus.  So I started a new game, but no outer planets were visible.  

Share this post


Link to post
Share on other sites

You're running the incorrect versions of KSP and Kopernicus to be compatible with each other. Note the first three numbers in the Kopernicus version you downloaded: 1.5.1... that states it only functions on KSP version 1.5.1. please download a Kopernicus version 1.4.3-* or more suitably, update KSP to the lastest version, being 1.5.1 in this case.

Share this post


Link to post
Share on other sites

Are there plans to use this? It would be very, very interesting.

 

Edited by lajoswinkler

Share this post


Link to post
Share on other sites
18 minutes ago, lajoswinkler said:

Are there plans to use this? It would be very, very interesting.

 

We're waiting on that mod to mature and preferably be absorbed into Kopernicus. Until then, there are no plans to tilt'em. (baddum tish)

Share this post


Link to post
Share on other sites
4 hours ago, JadeOfMaar said:

We're waiting on that mod to mature and preferably be absorbed into Kopernicus. Until then, there are no plans to tilt'em. (baddum tish)

Until then, those looking to "tilt" OPM (and the stock system) can use this:

Works just fine under 1.5.1 (since it's just config files) - it emulates axial tilt by inclining the orbits of all bodies. Technically, it puts all bodies at the same "tilt". Not as realistic as Tilt 'Em, but it has the advantage of being practically bulletproof.

Share this post


Link to post
Share on other sites

Tried to load the game in 1.5.1.2235 with the Making History expansion, barnkit, kopernicus, and this, but the first time I tried the planets didn't load, and the second time, my sandbox save didn't load. If these log things are needed, or other information, I'll provide it, I just want some more gas giant in my life. 

Share this post


Link to post
Share on other sites

Does anyone know if there are any current mods that add more moons to plock?

Share this post


Link to post
Share on other sites

@nsgallup There are no current mods. I stumbled across one old mod that does so but it is very old, may have been a WIP, and is surely abandoned now.

Share this post


Link to post
Share on other sites

I can't get OPM to work for 1.5.1, it just pops up a warning saying that Kopernicus couldn't load the custom planets due to an exception in the loading process.

Edited by obney kerman

Share this post


Link to post
Share on other sites
1 hour ago, obney kerman said:

I can't get OPM to work for 1.5.1, it just pops up a warning saying that Kopernicus couldn't load the custom planets due to an exception in the loading process.

OPM should work.  It you're getting that error, then you probably installed something incorrectly.  Double check and make sure you installed all the Kopernicus and OPM components.  Your GameData folder should include at least the following:

  • CTTP
  • Kopernicus
  • ModularFlightIntegrator
  • OPM
  • Squad
  • ModuleManager
     
Edited by OhioBob

Share this post


Link to post
Share on other sites

Also make sure you have the correct versions installed. (You need specific versions of each depending of which KSP version your playing.)

Did you install these manually? or use CKAN? (CKAN will do a pretty good job of making sure your using the correct version)

 

Share this post


Link to post
Share on other sites
4 hours ago, BlackHat said:

Also make sure you have the correct versions installed. (You need specific versions of each depending of which KSP version your playing.)

Did you install these manually? or use CKAN? (CKAN will do a pretty good job of making sure your using the correct version)

 

 

5 hours ago, OhioBob said:

OPM should work.  It you're getting that error, then you probably installed something incorrectly.  Double check and make sure you installed all the Kopernicus and OPM components.  Your GameData folder should include at least the following:

  • CTTP
  • Kopernicus
  • ModularFlightIntegrator
  • OPM
  • Squad
  • ModuleManager
     

Thanks for your help. I did download the latest version(s) of the mod(s), but I forgot a few mods. They're downloaded now, but it still doesn't work. Any ideas?

Share this post


Link to post
Share on other sites

The error message you received is due to you not using the correct version of Kopernicus in relation to your version of KSP. 

Please read the advice on which version of Kopernicus to install in the Kopernicus thread.

Share this post


Link to post
Share on other sites
6 hours ago, Poodmund said:

The error message you received is due to you not using the correct version of Kopernicus in relation to your version of KSP. 

Please read the advice on which version of Kopernicus to install in the Kopernicus thread.

I'm using the latest version of kopernicus, but after ksp finishes booting up I get a message saying that Kopernicus couldn't load everything correctly. This is with Kopernicus 1.5.1.1, as with version 1.5.0 the warning that it won't work comes as part of the loading screen.

Share this post


Link to post
Share on other sites
55 minutes ago, obney kerman said:

I'm using the latest version of kopernicus, but after ksp finishes booting up I get a message saying that Kopernicus couldn't load everything correctly. This is with Kopernicus 1.5.1.1, as with version 1.5.0 the warning that it won't work comes as part of the loading screen.

Post your output logs. 

Share this post


Link to post
Share on other sites
3 minutes ago, Galileo said:

Post your output logs. 

//===============================================================================================================//
//=====  Kopernicus 1.5.1-1 - (BuildDate: 24.10.2018 15:30:43; AssemblyHash: a9owHe+pY7/aruYPXrcjOdWclo0=)  =====//
//===============================================================================================================//
[LOG 17:28:49]: Logger "Kopernicus" was created
[LOG 17:28:49]: Injector.Awake(): Begin
[LOG 17:28:51]: [Kopernicus] RuntimeUtility Started
[LOG 17:28:51]: StarLightSwitcher.Awake(): Begin
[LOG 17:29:04]: Injector.OnDestroy(): Complete

Share this post


Link to post
Share on other sites
41 minutes ago, obney kerman said:

//===============================================================================================================//
//=====  Kopernicus 1.5.1-1 - (BuildDate: 24.10.2018 15:30:43; AssemblyHash: a9owHe+pY7/aruYPXrcjOdWclo0=)  =====//
//===============================================================================================================//
[LOG 17:28:49]: Logger "Kopernicus" was created
[LOG 17:28:49]: Injector.Awake(): Begin
[LOG 17:28:51]: [Kopernicus] RuntimeUtility Started
[LOG 17:28:51]: StarLightSwitcher.Awake(): Begin
[LOG 17:29:04]: Injector.OnDestroy(): Complete

That is not your output log.

Share this post


Link to post
Share on other sites
1 hour ago, obney kerman said:

I'm using the latest version of kopernicus, but after ksp finishes booting up I get a message saying that Kopernicus couldn't load everything correctly. This is with Kopernicus 1.5.1.1, as with version 1.5.0 the warning that it won't work comes as part of the loading screen.

Are you sure you have all the mod components install and in the right place?  Kopernicus will often display that error message when it can't find files where they are suppose to be.  Can you post a screenshot of your GameData folder?

Share this post


Link to post
Share on other sites
40 minutes ago, OhioBob said:

Are you sure you have all the mod components install and in the right place?  Kopernicus will often display that error message when it can't find files where they are suppose to be.  Can you post a screenshot of your GameData folder?

kXdNFMZ.png

41 minutes ago, Galileo said:

That is not your output log.

That is the most intimidating thing I've ever seen on this website.

 

EDIT: In case it helps, here's the error message itself:
4W4lya5.png

The thing I thought was my output log was the Logs/Kopernicus this error message told me to post.

 

Edited by obney kerman

Share this post


Link to post
Share on other sites
38 minutes ago, obney kerman said:

kXdNFMZ.png

That is the most intimidating thing I've ever seen on this website.

 

EDIT: In case it helps, here's the error message itself:
 

The thing I thought was my output log was the Logs/Kopernicus this error message told me to post.

 

Normally, we'd still need your output log, but in this case, it's pretty obvious. Your installs are all pretty borked. When you unzip the files, in each one is typically a gamedata folder, and then you want to extract what's in the game data folder of the zip to your own game data folder. Looks like you threw in master files. Module Manager is supposed to be just the DLL in your game data folder, not its own folder.

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.